Unusual Whales UnusualWhales API

Latest Filings

GET https://api.unusualwhales.com/api/institutions/latest_filings

Request

Security: Bearer Auth Authorization: Bearer <token>

Query Parameters

name Institution optional

A large entity that manages funds and investments for others. Queryable by name or cik.

Example: VANGUARD GROUP INC or 0000102909
date string optional

Date in format YYYY-MM-DD

order Latest Institutional Filings Order By optional

Optional columns to order the result by. The filing date is always sorted in descending order.

Example: name
enum: name, short_name, cik
order_direction OrderDirection optional

Whether to sort descending or ascending. Descending by default.

Example: asc Default: desc
enum: desc, asc
limit Default 500 Max 500 Min 1 optional

How many items to return. Default: 500. Max: 500. Min: 1.

Example: 10 Default: 500
>= 1 <= 500
page Page optional

Page number (use with limit). Starts on page 0.

Example: 1

Responses

200 422 500

Response Body 200 OK

cik CIK

The institution's CIK.

Example: 0000102909
filing_date General ISO Date

An ISO date.

Example: 2024-01-09
is_hedge_fund Is Hedge Fund
Example: true
name Name

The institution's name.

Example: VANGUARD GROUP INC
people People

Persons of interest in the institution.

Example: ["Paul Singer"]
short_name Short Name

The institution's short name.

Example: Vanguard
tags Tags

Tags related to the institution.

Example: ["activist","value_investor"]
Try It GET
Query Parameters

Request Sample
curl -X GET "https://api.unusualwhales.com/api/institutions/latest_filings" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Accept: application/json"
Response Example 200
{
  "data": [
    {
      "cik": "0001791786",
      "filing_date": "2024-10-03",
      "is_hedge_fund": true,
      "name": "ELLIOTT INVESTMENT MANAGEMENT L.P.",
      "people": [
        "Paul Singer"
      ],
      "short_name": "Elliott Investment Management",
      "tags": [
        "activist"
      ]
    }
  ]
}